Visibility
Visibility, share of voice and position for the brand and its competitors.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidengines?stringComma-separated engine slugs
length <= 500types?stringComma-separated prompt types
length <= 200intents?stringComma-separated prompt intents
length <= 200topics?stringComma-separated topic ids
length <= 2000countries?stringComma-separated ISO country codes, lowercase
length <= 1000from?stringAnswered on or after this UTC date; omit for all time
^\d{4}-\d{2}-\d{2}$to?stringAnswered on or before this UTC date; omit for today
^\d{4}-\d{2}-\d{2}$KPIs and daily series per tracked brand
application/jsondays*array<string>latestDay*string|nullresponses*integerlatestResponses*integermentions*integerAll tracked brand mentions in scope
brands*array<>tracked*array<>countries*array<>Countries with responses, ignoring the countries filter
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/dashboard/overview'{ "days": [ "string" ], "latestDay": "string", "responses": 0, "latestResponses": 0, "mentions": 0, "brands": [ { "key": "string", "metrics": { "latest": 0, "average": 0, "voice": 0, "position": 0, "mentions": 0 }, "previous": { "latest": 0, "average": 0, "voice": 0, "position": 0, "mentions": 0 }, "visibility": [ 0 ], "voice": [ 0 ], "position": [ 0 ] } ], "tracked": [ { "key": "string", "name": "string", "domain": "string", "logoUrl": "string", "isBrand": true } ], "countries": [ { "code": "string", "responses": 0 } ]}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/dashboard/overview'{
"days": [
"string"
],
"latestDay": "string",
"responses": 0,
"latestResponses": 0,
"mentions": 0,
"brands": [
{
"key": "string",
"metrics": {
"latest": 0,
"average": 0,
"voice": 0,
"position": 0,
"mentions": 0
},
"previous": {
"latest": 0,
"average": 0,
"voice": 0,
"position": 0,
"mentions": 0
},
"visibility": [
0
],
"voice": [
0
],
"position": [
0
]
}
],
"tracked": [
{
"key": "string",
"name": "string",
"domain": "string",
"logoUrl": "string",
"isBrand": true
}
],
"countries": [
{
"code": "string",
"responses": 0
}
]
}